'use strict';

const fs   = require('fs');
const path = require('path');

module.exports = function () {
    const base = path.join('ember-inspector', 'dist', 'websocket');

    // npm3 installs packages flat
    const npm2path = path.join(__dirname, '..', '..', 'node_modules', base);
    const npm3path = path.join(__dirname, '..', '..', '..', base);
    let npm2exists, npm3exists;

    try {
        npm2exists = !!fs.statSync(npm2path);
    } catch (e) {
        // No-op, we're just catching the "file not found" error
    }

    try {
        npm3exists = !!fs.statSync(npm3path);
    } catch (e) {
        // No-op, we're just catching the "file not found" error
    }

    if (npm2exists) {
        return npm2path;
    }

    if (npm3exists) {
        return npm3path;
    }

    return false;
};
